// Zadatak08.cpp : This file contains the 'main' function. Program execution begins and ends there.
//

#include <iostream>
#include <vector>
#include <string>
using namespace std;
int main()
{
    vector <string> poljeIme;
    vector <string> poljePrezime;
    vector <int> poljeGodina;
    char ponovi;

    do
    {
        string ime;
        cout << "Ime: ";
        cin >> ime;
        poljeIme.push_back(ime);

        string prezime;
        cout << "Prezime: ";
        cin >> prezime;
        poljePrezime.push_back(prezime);

        int godine;
        cout << "Godine: ";
        cin >> godine;
        poljeGodina.push_back(godine);
        cout << endl << "Dodati jos osobu (d/n): ";
        cin >> ponovi;
    } while (ponovi == 'd' || ponovi == 'D');

    int redniBroj = 0;
    do
    {
        cout << "Redni broj osobe cije informacije zelite ispisati [1-" << poljeIme.size() << "]: ";
        cin >> redniBroj;

        if (redniBroj<1 || redniBroj>poljeIme.size())
            cout << "Krivo unesen redni broj!" << endl;
    } while (redniBroj<1 || redniBroj>poljeIme.size());

    cout << endl;
    cout << "Ime: " << poljeIme[redniBroj - 1] << endl;
    cout << "Prezime: " << poljePrezime[redniBroj - 1] << endl;
    cout << "Godine: " << poljeGodina[redniBroj - 1] << endl;
}

// Run program: Ctrl + F5 or Debug > Start Without Debugging menu
// Debug program: F5 or Debug > Start Debugging menu

// Tips for Getting Started: 
//   1. Use the Solution Explorer window to add/manage files
//   2. Use the Team Explorer window to connect to source control
//   3. Use the Output window to see build output and other messages
//   4. Use the Error List window to view errors
//   5. Go to Project > Add New Item to create new code files, or Project > Add Existing Item to add existing code files to the project
//   6. In the future, to open this project again, go to File > Open > Project and select the .sln file
